### Constructor

# Vips Image matrixload_source

#### Declaration [src]

    int
    vips_matrixload_source (
      VipsSource* source,
      VipsImage** out,
      ...
    )

#### Description [src]

Exactly as `vips_matrixload()`, but read from a source.

See also

`vips_matrixload()`.

This constructor is not directly available to language bindings.

#### Parameters

`source`

  Type: `VipsSource`

  Source to load.

  The data is owned by the caller of the function.

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.